import { ComponentClass } from 'react';
import Taro, { Component, Config } from '@tarojs/taro';
import { View, Button, Text } from '@tarojs/components';
import { connect } from '@tarojs/redux';

import './Login.scss';

type PageStateProps = {
  APP_ID: string;
};

type PageOwnProps = {};

type PageState = {
  loadingText: string;
};

type IProps = PageStateProps & PageOwnProps;

interface Login {
  props: IProps;
  state: PageState;
}

@connect(({ constants }) => ({
  APP_ID: constants.APP_ID,
}))
class Login extends Component {
  config: Config = {
    navigationBarTitleText: '登录',
  };

  constructor(props) {
    super(props);
    this.state = {
      loadingText: '载入中...',
    };
  }

  componentWillMount() {
    const { code } = this.$router.params;
    if (code) {
      this.setState({
        loadingText: '微信授权中...',
      });
      setTimeout(() => {
        console.log('跳转注册页');
        Taro.navigateTo({
          url: '/pages/CheckTelephone/CheckTelephone',
        });
      }, 3000);
    } else {
      console.log('跳转微信授权接口');
      const { APP_ID } = this.props;
      console.log(APP_ID);
      let rUrl = encodeURIComponent(window.location.href.split('#')[0]);
      // window.location.href = `https://open.weixin.qq.com/connect/oauth2/authorize?appid=${APP_ID}&redirect_uri=${rUrl}&response_type=code&scope=snsapi_userinfo&state=STATE#wechat_redirect`;
    }
  }

  render() {
    const { loadingText } = this.state;
    return <View className='loadingBox'>{loadingText}</View>;
  }
}

export default Login as ComponentClass<PageOwnProps, PageState>;
