import { ComponentClass } from 'react';
import Taro, { Component, Config } from '@tarojs/taro';
import {
  View,
  Text,
  Image,
  Button,
  Input,
  RadioGroup,
  Radio,
  Label,
} from '@tarojs/components';

import '../CheckTelephone/CheckTelephone.scss';
import './Register.scss';

type PageOwnProps = {};
type PageState = {
  name: string;
  pwd: string;
  sex: string;
};

interface Register {
  state: PageState;
}

class Register extends Component {
  config: Config = {
    navigationBarBackgroundColor: '#ee7d1f',
    navigationBarTextStyle: 'white',
    navigationBarTitleText: '注册',
  };

  constructor(props) {
    super(props);
    this.state = {
      name: '',
      pwd: '',
      sex: '',
    };
  }

  showCampusSelector = () => {};
  setSex = ({ detail: { value } }) => {
    this.setState({
      sex: value,
    });
  };
  updateName = () => {};
  getRegister = () => {
    console.log('跳转首页');
  };
  render() {
    const { name, sex } = this.state;
    return (
      <View className='Register'>
        <View className='Register-bg' />
        <View className='registerBox'>
          <View className='registerBox-title'>
            <Image className='registerBox-icon' src='' />
            <Text>基本信息</Text>
          </View>
          <View className='registerBox-item flex'>
            <Input
              className='loginBox-input'
              value={name}
              onInput={this.updateName}
              placeholder='输入您的姓名'
              maxLength={20}
            />
            <RadioGroup
              className='loginBox-input sexBox'
              onChange={this.setSex}>
              <Label
                className={`choose-item ${sex == 'Male' ? 'checked' : ''}`}>
                <Radio value='Male'>男</Radio>
              </Label>
              <Label
                className={`choose-item ${sex == 'Female' ? 'checked' : ''}`}>
                <Radio value='Female'>女</Radio>
              </Label>
            </RadioGroup>
          </View>
          <View className='registerBox-item'>
            <Input
              className='loginBox-input'
              placeholder='请输入注册的手机号码'
              maxLength={20}
            />
          </View>
          <View className='registerBox-item'>
            <Input
              className='loginBox-input'
              password
              placeholder='请输入验证码'
              maxLength={20}
            />
            <Text>获取验证码</Text>
          </View>
          <View className='registerBox-title'>
            <Image className='registerBox-icon' src='' />
            <Text>密码设置</Text>
          </View>
          <View className='registerBox-title'>
            <Image className='registerBox-icon' src='' />
            <Text>区域信息</Text>
          </View>
          <Button className='registerBox-button big' onClick={this.getRegister}>
            确 认
          </Button>
        </View>
      </View>
    );
  }
}

export default Register as ComponentClass<PageOwnProps, PageState>;
